%define nm_version 1.0.4
%define pptp 1
%define openswan 0
%define openvn 1
%define vpnc 1
%define openconnect 1
%define l2tp 1
%define strongswan 0


%define rel 1

Name:    plasma-nm
Summary: Plasma 5 applet written in QML for managing network connections
Version: 5.6.5
Release: %mkrel %{rel}
Group:   Graphical desktop/KDE5
License: GPLv2 and LGPLv2+
URL:     https://projects.kde.org/projects/playground/network/plasma-nm
Source0: http://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

BuildRequires: %{_lib}nm-devel
BuildRequires: modemmanager-devel
BuildRequires: mobile-broadband-provider-info

BuildRequires: kf5-macros

BuildRequires: ki18n-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kservice-devel
BuildRequires: kcompletion-devel
BuildRequires: kwidgetsaddons-devel
BuildRequires: kio-devel
BuildRequires: kcoreaddons-devel
BuildRequires: kwallet-devel
BuildRequires: kitemviews-devel
BuildRequires: kxmlgui-devel
BuildRequires: kconfigwidgets-devel
BuildRequires: kiconthemes-devel
BuildRequires: solid-devel
BuildRequires: kdbusaddons-devel
BuildRequires: knotifications-devel
BuildRequires: plasma-framework-devel
BuildRequires: kdeclarative-devel
BuildRequires: kinit-devel
BuildRequires: kdelibs4support-devel

BuildRequires: %{_lib}qt5quick-devel
BuildRequires: %{_lib}qt5webkitwidgets-devel
BuildRequires: %{_lib}networkmanager-qt-devel

%if %openconnect
BuildRequires:  openconnect-devel >= 3.99
%endif

%description
Plasma 5 applet written in QML for managing network connections

#--------------------------------------------------------------------

%package -n plasma-applet-nm
Summary:  NetworkManager Plasma 5 applet
Group:    Graphical desktop/KDE5
Requires: networkmanager >= %nm_version
Conflicts: drakx-net-applet

%description -n plasma-applet-nm
Network Management Plasma 5 applet for controlling network
connections on systems that use the NetworkManager service


%files  -n plasma-applet-nm -f %name.lang
%_kf5_bindir/kde5-nm-connection-editor
%_kf5_libdir/libplasmanm_editor.so
%_kf5_libdir/libplasmanm_internal.so
%_kf5_qmldir/org/kde/plasma/networkmanagement
%_kf5_plugindir/kded/networkmanagement.so
%_kf5_datadir/plasma/plasmoids/org.kde.plasma.networkmanagement
%_kf5_datadir/applications/kde5-nm-connection-editor.desktop
%_kf5_knotificationsdir/networkmanagement.notifyrc
#%_kf5_services/kded/networkmanagement.desktop
%_kf5_services/plasma-applet-org.kde.plasma.networkmanagement.desktop
%_kf5_datadir/kxmlgui5/kde5-nm-connection-editor/kde5-nm-connection-editorui.rc

#--------------------------------------------------------------------

%if %{openvn}
%package  -n plasma-applet-nm-openvpn
Summary:  OpenVPN plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-openvpn
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-openvpn
%{summary}.

%files  -n plasma-applet-nm-openvpn -f plasmanetworkmanagement_openvpnui.lang
%_qt5_plugindir/libplasmanetworkmanagement_openvpnui.so
%_kf5_services/plasmanetworkmanagement_openvpnui.desktop
%_kf5_servicetypes/plasma-networkmanagement-vpnuiplugin.desktop
%endif

#--------------------------------------------------------------------

%if %{l2tp}

%package  -n plasma-applet-nm-l2tp
Summary:  L2tp plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-l2tp
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-l2tp
%{summary}.

%files  -n plasma-applet-nm-l2tp  -f plasmanetworkmanagement_l2tpui.lang
%_qt5_plugindir/libplasmanetworkmanagement_l2tpui.so
%_kf5_services/plasmanetworkmanagement_l2tpui.desktop
%endif

#--------------------------------------------------------------------

%if %{pptp}

%package  -n plasma-applet-nm-pptp
Summary:  Pptp plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-pptp
Conflicts: drakx-net-applet

%description  -n plasma-applet-nm-pptp
%{summary}.

%files  -n plasma-applet-nm-pptp -f plasmanetworkmanagement_pptpui.lang 
%_kf5_services/plasmanetworkmanagement_pptpui.desktop
%_qt5_plugindir/libplasmanetworkmanagement_pptpui.so
%endif

#--------------------------------------------------------------------

%if %{openswan}

%package -n plasma-applet-nm-openswan
Summary: OpenSwan plugin for Plasma 5 NetworkManager
Group:  Graphical desktop/KDE5
Requires: networkmanager-openswan
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-openswan
%{summary}.

%files  -n plasma-applet-nm-openswan -f plasmanetworkmanagement_openswanui.lang
%_qt5_plugindir/libplasmanetworkmanagement_openswanui.so
%_kf5_services/plasmanetworkmanagement_openswanui.desktop
/usr/share/locale/*/LC_MESSAGES/plasmanetworkmanagement_openconnectui.mo
%endif


#--------------------------------------------------------------------

%if %{strongswan}

%package -n plasma-applet-nm-strongswan
Summary: Strongswanui plugin for Plasma 5 NetworkManager
Group:  Graphical desktop/KDE5
Requires: networkmanager-strongswan
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-strongswan
%{summary}.

%files  -n plasma-applet-nm-strongswan -f plasmanetworkmanagement_strongswanui.lang
%_qt5_plugindir/libplasmanetworkmanagement_strongswanui.so
%_kf5_services/plasmanetworkmanagement_strongswanui.desktop
%endif

#--------------------------------------------------------------------

%if %{vpnc}

%package  -n plasma-applet-nm-vpnc
Summary:  Vpnc plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5 
Requires: networkmanager-vpnc
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-vpnc
%{summary}.

%files  -n plasma-applet-nm-vpnc  -f plasmanetworkmanagement_vpncui.lang
%_qt5_plugindir/libplasmanetworkmanagement_vpncui.so
%_kf5_services/plasmanetworkmanagement_vpncui.desktop
%endif

#-------------------------------------------------------------------

%if %{openconnect}
%package -n plasma-applet-nm-openconnect
Summary:  Openconnect plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-openconnect
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-openconnect
%{summary}.

%files -n plasma-applet-nm-openconnect -f plasmanetworkmanagement_openconnectui.lang
%_qt5_plugindir/libplasmanetworkmanagement_openconnectui.so
%_kf5_services/plasmanetworkmanagement_openconnectui.desktop
%endif

#-------------------------------------------------------------------

%package -n plasma-applet-nm-ssh
Summary:  SSH plugin for Plasma 5 NetworkManager
Group:    Graphical desktop/KDE5
Requires: networkmanager-openconnect
Conflicts: drakx-net-applet

%description -n plasma-applet-nm-ssh
%{summary}.

%files -n plasma-applet-nm-ssh -f plasmanetworkmanagement_sshui.lang
%_qt5_plugindir/libplasmanetworkmanagement_ssh*.so
%_qt5_plugindir/libplasmanetworkmanagement_sstpui.so
%_kf5_services/plasmanetworkmanagement_sstpui.desktop
%_kf5_services/plasmanetworkmanagement_ssh*.desktop

#--------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

%if ! %{l2tp}
rm %{buildroot}%{_qt5_plugindir}/libplasmanetworkmanagement_l2tpui.so
rm %{buildroot}%{_kf5_services}/plasmanetworkmanagement_l2tpui.desktop
rm %{buildroot}%{_kf5_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_l2tpui.mo
%endif

%if ! %{openswan}
rm %{buildroot}%{_qt5_plugindir}/libplasmanetworkmanagement_openswanui.so
rm %{buildroot}%{_kf5_services}/plasmanetworkmanagement_openswanui.desktop
rm %{buildroot}%{_kf5_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_openswanui.mo
%endif

%if ! %{strongswan}
rm %{buildroot}%{_qt5_plugindir}/libplasmanetworkmanagement_strongswanui.so
rm %{buildroot}%{_kf5_services}/plasmanetworkmanagement_strongswanui.desktop
rm %{buildroot}%{_kf5_datadir}/locale/*/LC_MESSAGES/plasmanetworkmanagement_strongswanui.mo
%endif

%find_lang %{name} \
    kde5-nm-connection-editor \
    plasma_applet_org.kde.plasma.networkmanagement \
    plasmanetworkmanagement-kded \
    plasmanetworkmanagement-libs
%find_lang plasmanetworkmanagement_l2tpui
%find_lang plasmanetworkmanagement_openconnectui
%find_lang plasmanetworkmanagement_vpncui
%find_lang plasmanetworkmanagement_strongswanui
%find_lang plasmanetworkmanagement_pptpui
%find_lang plasmanetworkmanagement_openvpnui
%find_lang plasmanetworkmanagement_openswanui
%find_lang plasmanetworkmanagement_sshui plasmanetworkmanagement_sstpui 


%changelog
* Tue Jun 14 2016 bb <bb> 5.6.5-1pclos2016
- update


